.todo-container {
  width: 100%;
  max-width: 960px;

  .todo-card-group {
    border: 2px solid #e5ebf3;
    border-radius: 4px;
    padding: 10px;
    margin-bottom: 20px;

    @include bp(sm) {
      padding: 16px 25px 25px;
    }

    .ant-card-hoverable:hover {
      box-shadow: 0 12px 13px -10px rgba(51, 64, 86, 0.2);
      transform: translateY(-2px);
    }

    .ant-card + .ant-card {
      margin-top: 10px;

      @include bp(sm) {
        margin-top: 20px;
      }
    }

    .empty-card {
      .ant-card-body {
        padding: 0 !important;
      }
    }

    .ant-btn {
      font-weight: 600;
      height: 50px;
    }

    .ant-card-head-title {
      color: $gray-5;
      display: flex;
      align-items: center;

      span {
        color: $black;

        h6 {
          color: $gray-4;
          margin-bottom: 0;
          font-size: 12px;
          margin-top: -2px;
        }
      }

      & + .ant-card-extra {
        display: flex;
        align-items: center;
      }
    }

    .ant-timeline-item:not(.ant-timeline-item-last) {
      padding: 0 0 10px;
    }

    .ant-timeline-item-content {

      .extra {
        float: right;
        font-size: 13px;
        color: #858890;
      }
    }

    .icon-size-30 {
      margin: -2px 15px -1px 0;
      display: inline-block;
    }

    .checkbox-tabs {

      .ant-input-number {
        border-radius: 30px;

        input {
          font-size: 15px;
        }
      }
    }
  }

  .assignment-content-to-post {
    width: 100%;
    height: 250px;
    margin-bottom: 20px;
    border-radius: 4px;
    display: block;
    background-size: cover;
    background-position: center;
  }
}


.flex-listing {
  display: flex;
  justify-content: space-between;
  
  @include bp(xs-sm) {
    flex-direction: column;

    > div {
      margin-bottom: 10px;
    }
  }

  h4 {
    margin-bottom: 0;
  }

  h3 {
    margin-top: 0;
    margin-bottom: 0;
  }

  &.m-bordered {

    @include bp(xs-sm) {

      > div {
        padding-bottom: 10px;
        border-bottom: 1px solid #e9f0f3;
      }
    }
  }

  &.reasons {
    align-items: center;
  }

  &.metrics {
    background: #f3f7f9;
    padding: 12px 20px;
    border-radius: 6px;

    h3 {
      color: $brand-primary;
    }

    @include bp(sm) {
      padding-right: 50px;
    }
  }
}


.sub-item {
  background: #f3f7f9;
  border-radius: 20px;
  display: inline-block;
  min-height: 40px;
  
  @include bp(xs-sm) {
    width: 100%;

    .ant-form-item-label {
      padding-top: 8px;
      padding-left: 20px;
    }

    .ant-input-number {
      width: calc(100% - 20px);
      margin: 0 10px 10px;
    }
  }

  @include bp(sm) {
    padding: 0 0 0 20px;
    margin: 10px 0 0 10px;
  }

  > .ant-form-item {
    margin-bottom: 0;
  }

  &.text-area {
    padding: 0;
    background: none;
    border-radius: 4px;
    min-width: 300px;

    @include bp(sm) {
      min-width: 380px; 
    }
  }

  .ant-form-item-label label {
    color: #888a8d;
    font-size: 14px;
    font-weight: 600;
    text-transform: none;

    @include bp(sm) {
      line-height: 40px;
      margin-right: 30px;
    }
  }
}